package gui.simulator;

import java.io.Serializable;

public class AccessPoint extends DrawEngine implements Serializable {
	
	private static Images.ImageType images = Images.ImageType.Entrance;
	private static String facilityName = "Ingang";
		private Terrain terrain;

    public AccessPoint(Terrain terrain, int x, int y) {
        super(images, x, y, 1, 0, SimulatorPane.Objects.ENTRANCE);
        this.terrain = terrain;
    }

    public AccessPoint(Terrain terrain, int x, int y, double scale, double distance) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.ENTRANCE);
        this.terrain = terrain;
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
}
